Bug 1706148

Summary: koschei: FTBFS in Fedora rawhide/F31: AttributeError: module 'hawkey' has no attribute 'Repo'
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: libdnfAssignee: Mikolaj Izdebski <mizdebsk>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: rawhideCC: dmach, jmracek, jrohel, mblaha, mizdebsk, msimacek, pkratoch, rpm-software-management, slavek.kabrda
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: http://apps.fedoraproject.org/koschei/package/koschei
Whiteboard:
Fixed In Version: libdnf-0.31.0-3.fc31 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-06 03:10:50 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1700317, 1686977, 1732841    

Description Miro Hrončok 2019-05-03 16:28:06 UTC
Description of problem:
Package koschei fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
2.4.0-5.fc30

Steps to Reproduce:
koji build --scratch f31 koschei-2.4.0-5.fc30.src.rpm


It seems that this was a backward incompatible change in python3-hawkey:

 - 0.28.1-1.fc31
 + 0.31.0-1.fc31


AttributeError: module 'hawkey' has no attribute 'Repo'


This blocks the Python 3.8 rebuild of koschei.

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/koschei

Comment 1 Mikolaj Izdebski 2019-05-06 03:10:50 UTC
This was a regression in libdnf that was fixed in libdnf-0.31.0-3.fc31:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1261993

From changelog:

* Fri May 03 2019 Pavla Kratochvilova <pkratoch> - 0.31.0-3
- Backport patches to reintroduce hawkeyRepo